Subject: [stir] Out-of-band vs. NGMTP

From: "Anton Tveretin" <[email-masked]>
Date: Sun, 30 Jun 2013 05:35:16 +0600

So what is the scenario?
Alice transmits INVITE through ЫP say Atlanta. Atlanta deposits it and
dispatches the message...
Message distributed contains a reference to the original, but not 
necessarily all its headers.
Anyone may fetch the original message (with NGMTP?) and check that it comes 
from Atlanta.

This implies that original message is stored somewhere, available to anyone
(at least any intermediate carrier, callee's carrier, callee, and even more
if the call is forwarded). Also, there must be global IP-based network, to
where all SIP-enabled carriers and their customers are connected to. This
must not be "the Internet", strictly speaking.

There are more issues. How long must server keep a message? What about E.164 
addresses, indeed?

I think forwarders and answerers deserve the same level of security, as 
callers.